Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class BattleErrorEvent

    java.lang.Object
      robocode.control.events.BattleEvent
          robocode.control.events.BattleErrorEvent

    public class BattleErrorEvent

extends BattleEvent

A BattleErrorEvent is sent to `onBattleError()` when an error message is sent from the game in the during the battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `BattleMessageEvent`

Constructor Summary
`BattleErrorEvent(String error)` Creates a new BattleErrorEvent.

Method Summary
`String` | `getError()` Returns the error message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattleErrorEvent

    public BattleErrorEvent(String error)

  Creates a new BattleErrorEvent.

  Parameters:
    `error` - the error message.

Method Detail

### getError

    public String getError()

  Returns the error message.

  Returns:
    the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.